DocMkrTextInternal::Zone Struct Reference documentation

DocMkrTextInternal::Zone Struct Reference

Internal: structure to store a the data of a DocMkrText Zone. More...

## Public Member Functions
| Zone ()
| constructor

## Public Attributes
MWAWEntry | m_pos
| the text entry
MWAWParagraph::Justification | m_justify
| the paragraph justification
MWAWColor | m_backgroundColor
| the background color
bool | m_useFooter
| print or ignore the footer
int | m_margins [4]
| the margins L,T,R,B in points
std::string | m_name
| the name
std::map< long, MWAWFont > | m_posFontMap
| the map of id -> font
int | m_numPages
| the number of page
bool | m_parsed
| a flag to know if we have send the data to the listener

## Detailed Description

Internal: structure to store a the data of a DocMkrText Zone.

## Constructor & Destructor Documentation

## ◆ Zone()

DocMkrTextInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_backgroundColor

MWAWColor DocMkrTextInternal::Zone::m_backgroundColor

the background color

Referenced by DocMkrText::updatePageSpanList(), and Zone().

## ◆ m_justify

MWAWParagraph::Justification DocMkrTextInternal::Zone::m_justify

the paragraph justification

Referenced by DocMkrText::readWindows(), DocMkrText::sendText(), and Zone().

## ◆ m_margins

int DocMkrTextInternal::Zone::m_margins[4]

the margins L,T,R,B in points

Referenced by DocMkrText::readWindows(), DocMkrText::sendText(), DocMkrText::updatePageSpanList(), and Zone().

## ◆ m_name

std::string DocMkrTextInternal::Zone::m_name

the name

Referenced by Zone().

## ◆ m_numPages

int DocMkrTextInternal::Zone::m_numPages
| mutable

the number of page

Referenced by DocMkrText::computeNumPages(), DocMkrText::updatePageSpanList(), and Zone().

## ◆ m_parsed

bool DocMkrTextInternal::Zone::m_parsed
| mutable

a flag to know if we have send the data to the listener

Referenced by DocMkrText::sendMainText(), DocMkrText::sendText(), and Zone().

## ◆ m_pos

MWAWEntry DocMkrTextInternal::Zone::m_pos

the text entry

Referenced by DocMkrText::computeNumPages(), DocMkrText::sendText(), and Zone().

## ◆ m_posFontMap

std::map<long, MWAWFont > DocMkrTextInternal::Zone::m_posFontMap

the map of id -> font

Referenced by DocMkrText::readStyles(), DocMkrText::sendText(), and Zone().

## ◆ m_useFooter

bool DocMkrTextInternal::Zone::m_useFooter

print or ignore the footer

Referenced by DocMkrText::readWindows(), DocMkrText::updatePageSpanList(), and Zone().

The documentation for this struct was generated from the following file:

- DocMkrText.cxx